#ifndef GAME_TIMER_H
#define GAME_TIMER_H

#include "freertos/FreeRTOS.h"
#include "sseg.h"

/// Initializes the game and module timers.
void init_game_module_timer(void);

/// Starts the game timer
void start_game_timer(void);
/// Stops the game timer
void stop_game_timer(void);

/// Starts the module timer
void start_module_timer(void);
/// Stops the module timer
void stop_module_timer(void);

/// Sets the game time in ms
void set_game_time(int32_t new_time);
/// Gets the current game time in ms
int32_t get_game_time();

/// Gets the current game time in ms
void time_penalty(uint32_t penalty);

/// Sets the module time in ms
void set_module_time(uint32_t new_time);
/// Gets the current module time in ms
uint32_t get_module_time();

#endif /* GAME_TIMER_H */